summaryrefslogtreecommitdiffstats
path: root/libraries/lgi/lgi.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/lgi/lgi.SlackBuild')
-rw-r--r--libraries/lgi/lgi.SlackBuild20
1 files changed, 9 insertions, 11 deletions
diff --git a/libraries/lgi/lgi.SlackBuild b/libraries/lgi/lgi.SlackBuild
index 2c51f22271..997c311203 100644
--- a/libraries/lgi/lgi.SlackBuild
+++ b/libraries/lgi/lgi.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for lgi
-# Copyright 2013 Heiko Rosemann Germany
+# Copyright 2013-2015 Heiko Rosemann Germany
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +25,7 @@
# Modified by the SlackBuilds.org project
PRGNAM=lgi
-VERSION=${VERSION:-0.7.1}
+VERSION=${VERSION:-0.9.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -56,20 +56,20 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
# Fix this stuff with sed
sed -i \
@@ -84,9 +84,7 @@ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | gr
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a \
- docs/* LICENSE README.md \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a docs/* LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install